#include <iostream>   //input/output library
#include <cassert.h>  //assertion macro to test conditions

#include "gcd.h"

using namespace std;

int main()
{
   int g, x  y;

   cout << endl << "Greatest Common Divisor";
   cout << endl << "Enter two non-zero integers: ";
   cin >> x >> y;   //input two integers

   while(x * y != 0)
   {

      cout << endl << "GCD(" << x << ", " << y << ") = "
           << (g = gcd(x, y)) << endl;

      assert(x % g == 0 && y / g == 0);       //postcondition

      cout << endl << "Enter two integers: ";
      cin >> x >> y;                         //input two integers
   }
}
